- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinTreeSiblings Class Reference

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinTreeSiblings:

[legend]
List of all members.

## Public Member Functions
| CoinTreeSiblings (const int n, CoinTreeNode **nodes)
| CoinTreeSiblings (const CoinTreeSiblings &s)
| ~CoinTreeSiblings ()
CoinTreeNode * | currentNode () const
bool | advanceNode ()
| returns false if cannot be advanced
int | toProcess () const
int | size () const
void | printPref () const
## Private Member Functions
| CoinTreeSiblings ()
CoinTreeSiblings & | operator= (const CoinTreeSiblings &)
## Private Attributes
int | current_
int | numSiblings_
CoinTreeNode ** | siblings_

## Detailed Description

Definition at line 103 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinTreeSiblings::CoinTreeSiblings | ( |  | ) | `[private]`

CoinTreeSiblings::CoinTreeSiblings | ( | const int | n,
|  | CoinTreeNode ** | nodes |
| ) |  |  | `[inline]`

Definition at line 112 of file CoinSearchTree.hpp.

References CoinDisjointCopyN(), and siblings_.

CoinTreeSiblings::CoinTreeSiblings | ( | const CoinTreeSiblings & | s | ) | `[inline]`

Definition at line 117 of file CoinSearchTree.hpp.

References CoinDisjointCopyN(), numSiblings_, and siblings_.

CoinTreeSiblings::~CoinTreeSiblings | ( |  | ) | `[inline]`

Definition at line 124 of file CoinSearchTree.hpp.

References siblings_.

## Member Function Documentation

CoinTreeSiblings& CoinTreeSiblings::operator= | ( | const CoinTreeSiblings & |  | ) | `[private]`

CoinTreeNode* CoinTreeSiblings::currentNode | ( |  | ) | const`[inline]`

Definition at line 125 of file CoinSearchTree.hpp.

References current_, and siblings_.

Referenced by CoinSearchTreeCompareBest::operator()(), CoinSearchTreeCompareBreadth::operator()(), CoinSearchTreeCompareDepth::operator()(), and CoinSearchTreeComparePreferred::operator()().

bool CoinTreeSiblings::advanceNode | ( |  | ) | `[inline]`

returns false if cannot be advanced

Definition at line 127 of file CoinSearchTree.hpp.

References current_, and numSiblings_.

Referenced by CoinSearchTreeBase::pop().

int CoinTreeSiblings::toProcess | ( |  | ) | const`[inline]`

Definition at line 128 of file CoinSearchTree.hpp.

References current_, and numSiblings_.

Referenced by CoinSearchTreeBase::push().

int CoinTreeSiblings::size | ( |  | ) | const`[inline]`

Definition at line 129 of file CoinSearchTree.hpp.

References numSiblings_.

Referenced by CoinSearchTreeBase::push().

void CoinTreeSiblings::printPref | ( |  | ) | const`[inline]`

Definition at line 130 of file CoinSearchTree.hpp.

References numSiblings_, pref, and siblings_.

Referenced by CoinSearchTreeBase::push().

## Member Data Documentation

int CoinTreeSiblings::current_`[private]`

Definition at line 108 of file CoinSearchTree.hpp.

Referenced by advanceNode(), currentNode(), and toProcess().

int CoinTreeSiblings::numSiblings_`[private]`

Definition at line 109 of file CoinSearchTree.hpp.

Referenced by advanceNode(), CoinTreeSiblings(), printPref(), size(), and toProcess().

CoinTreeNode** CoinTreeSiblings::siblings_`[private]`

Definition at line 110 of file CoinSearchTree.hpp.

Referenced by CoinTreeSiblings(), currentNode(), printPref(), and ~CoinTreeSiblings().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinSearchTree.hpp